Spigot Hawk Anticheat (MC 1.7.10 & 1.8.8) BETA 2008

A free anticheat for legacy versions of Spigot.

  1. Also it looks like the resource author did actually remove the claim that this anticheat is better than AAC.
     
  2. Seems like some people are opened to critics here at least.
     
  3. what is the problem at this error:

    > [20:05:27 WARN]: [Hawk] Task #248 for Hawk vb1.8.12 generated an exception
    java.lang.NoClassDefFoundError: org/bukkit/craftbukkit/v1_8_R3/entity/CraftPlayer
    at HAWKISDEVELOPEDTOHELPYOUFIGHTAGAINSTCHEATING36044641893573662726.HAWKISDEVELOPEDTOHELPYOUFIGHTAGAINSTCHEATING16140060459463680342.HAWKISDEVELOPEDTOHELPYOUFIGHTAGAINSTCHEATING39247159053885968963(Unknown Source) ~[?:?]
    at HAWKISDEVELOPEDTOHELPYOUFIGHTAGAINSTCHEATING36044641893573662726.HAWKISDEVELOPEDTOHELPYOUFIGHTAGAINSTCHEATING02730409319261487814$1.run(Unknown Source) ~[?:?]
    at org.bukkit.craftbukkit.v1_8_R1.scheduler.CraftTask.run(CraftTask.java:71) ~[server.jar:git-Spigot-c3c767f-33d5de3]
    at org.bukkit.craftbukkit.v1_8_R1.scheduler.CraftScheduler.mainThreadHeartbeat(CraftScheduler.java:350) [server.jar:git-Spigot-c3c767f-33d5de3]
    at net.minecraft.server.v1_8_R1.MinecraftServer.z(MinecraftServer.java:709) [server.jar:git-Spigot-c3c767f-33d5de3]
    at net.minecraft.server.v1_8_R1.DedicatedServer.z(DedicatedServer.java:316) [server.jar:git-Spigot-c3c767f-33d5de3]
    at net.minecraft.server.v1_8_R1.MinecraftServer.y(MinecraftServer.java:634) [server.jar:git-Spigot-c3c767f-33d5de3]
    at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:537) [server.jar:git-Spigot-c3c767f-33d5de3]
    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_171]
     
  4. you do not run spigto 1.8.8 but an older version which is apparantly not supported

    not running latest spigot 1.8.8 cna lead to client crahs exploits or similar stuff on servers
     
  5. Exactly what @Janmm14 said. Please use Spigot 1.8.8. There are a ton of server exploits in 1.8 that have been patched in 1.8.8.

    I'll need to specify that Hawk is only compatible with 1.7_R4 and 1.8_R3 servers.
     
  6. Can i upgrade my server to 1.8_R3? Cause my server is on 1.8_R0.1
     
  7. Yes. I don't know why you are running on 1.8_R0.1 in the first place. :unsure:
     
  8. i dont now that either but if i do /ver then that is standing there. So where can i upgrade this?
     
  9. I don't understand your problem.

    Maybe you should ask for sth. else, see http://xyproblem.info
     
  10. my problem is i cant download 1.8R3 for my server
     
  11. Islandscout updated Hawk Anticheat (MC 1.7.10 & 1.8.8) [REWRITTEN] with a new update entry:

    Implement Asynchronous Checking

    Read the rest of this update entry...
     
  12. Islandscout updated Hawk Anticheat (MC 1.7.10 & 1.8.8) [REWRITTEN] with a new update entry:

    New Anti-velocity check

    Read the rest of this update entry...
     
  13. Islandscout updated Hawk Anticheat (MC 1.7.10 & 1.8.8) [REWRITTEN] with a new update entry:

    Improvements

    Read the rest of this update entry...
     
  14. Hello, how to use the PunishCommand?
     
  15. In the configuration, all checks will have a section called "punishCommands". For this section, you want to enter a list of strings, which will be your entries for the command executor to parse. Please refer to this article for proper format of string lists in YAML files: YAML Syntax

    Each string should be formatted just like this:
    "VIOLATION LEVEL : DELAY IN SECONDS : COMMAND TO RUN"

    Examples:
    "10:0:msg %player% please stop"
    "20:5:kick %player% quit cheating"